opj_pi_comp Struct Reference

FIXME DOC. More...

`#include <pi.h>`

## Data Fields

OPJ_UINT32 | dx
OPJ_UINT32 | dy
OPJ_UINT32 | numresolutions
| number of resolution levels
opj_pi_resolution_t * | resolutions

## Detailed Description

FIXME DOC.

## Field Documentation

## dx

OPJ_UINT32 opj_pi_comp::dx

Referenced by opj_pi_create_decode(), opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_pcrl(), and opj_pi_next_rpcl().

## dy

OPJ_UINT32 opj_pi_comp::dy

Referenced by opj_pi_create_decode(), opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_pcrl(), and opj_pi_next_rpcl().

## numresolutions

OPJ_UINT32 opj_pi_comp::numresolutions

number of resolution levels

Referenced by opj_pi_create(), opj_pi_create_decode(), opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), and opj_pi_next_rpcl().

## resolutions

opj_pi_resolution_t* opj_pi_comp::resolutions

Referenced by opj_pi_create(), opj_pi_create_decode(), opj_pi_destroy(), opj_pi_initialise_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), and opj_pi_next_rpcl().

The documentation for this struct was generated from the following file:

- pi.h